Bug 135259 - xvideo crashe in widescreen modus
xvideo crashe in widescreen modus
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 09:40 EDT by Christian Schaller
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 07:21:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6151 None None None Never

  None (edit)
Description Christian Schaller 2004-10-11 09:40:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040930 Epiphany/1.4.3

Description of problem:
Using the free nvidia driver it seems the xorg server is not able to
handle xvideo images when I set the screen to widescreen resolution.
Using a standard resolution this isn't a problem (using the binary
nvidia driver with FC2 this also worked).

I have a Dell Inspiron 8600 laptop which has a wider than standard
screen. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[cschalle@cschalle movies]$ totem gravity.mpg


Actual Results:  The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 48 error_code 11 request_code 140 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()
function.)


Additional info:

Below is the xorg.conf lines I changed to cater for the wider screen.

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Dell 1400x1050 Laptop Display Panel"
        DisplaySize  331        207
        HorizSync    31.5 - 100.0
        VertRefresh  30.0 - 90.0
        Modeline "720x450"    33.92  720  765  841  963  450  451  454
 470
        Modeline "720x450"    39.04  720  770  846  972  450  451  454
 472
        Modeline "720x450"    46.79  720  774  850  981  450  451  454
 477
        Modeline "1280x800"  107.21 1280 1360 1496 1712  800  801  804
 835
        Modeline "1280x800"  123.38 1280 1368 1504 1728  800  801  804
 840
        Modeline "1280x800"  147.89 1280 1376 1512 1744  800  801  804
 848
        Modeline "1680x1050" 147.14 1680 1784 1968 2256 1050 1051 1054
1087
        Modeline "1680x1050" 188.07 1680 1800 1984 2288 1050 1051 1054
1096
        Modeline "1680x1050" 214.51 1680 1800 1984 2288 1050 1051 1054
1103
        Modeline "1680x1050" 256.20 1680 1808 1992 2304 1050 1051 1054
1112
        Modeline "1920x1200" 246.59 1920 2064 2272 2624 1200 1201 1204
1253
        Modeline "1920x1200" 282.74 1920 2072 2280 2640 1200 1201 1204
1260
        Modeline "1920x1200" 337.58 1920 2072 2288 2656 1200 1201 1204
1271
        Option      "dpms"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    Modes    "1680x1050" "1280x800"
        EndSubSection
EndSection
Comment 1 Mike A. Harris 2004-10-12 02:38:56 EDT
Please report this problem to X.Org by filing a bug report in the
X.Org bugzilla located at:  http://bugs.freedesktop.org

Once you have filed your report at X.Org, please paste the bug URL
here, and we will track the issue in the X.Org bug tracker.

Thanks in advance.
Comment 2 Christian Schaller 2004-10-13 04:14:20 EDT
Ok, commited to xorg bugzilla:
https://freedesktop.org/bugzilla/show_bug.cgi?id=1616
Comment 3 Mike A. Harris 2004-10-13 07:21:24 EDT
Thanks Christian, I've added the upstream bug to our tracker.  We'll
monitor the issue in the upstream bug, and review any fixes that
become available for consideration in future X.Org builds.

Setting status to "UPSTREAM" for tracking.
Comment 4 Kai Thomsen 2006-07-30 17:37:30 EDT
I'm still seeing this problem in FC5, with the "nv" driver on a GeForce 7600GT 
at 1680x1050x24. There's another upstream bug dealing with this issue:

https://bugs.freedesktop.org/show_bug.cgi?id=6151

That ticket also contains a patch (supposedly solving the issue). Could you 
consider adding it to the xorg FC5 RPMs?

Note You need to log in before you can comment on or make changes to this bug.